%YAML 1.2
---
names:
  - air__mean_over_domain_of_temperature
  - atmosphere_water__mean_over_domain_of_liquid_equivalent_precipitation_rate
  - bed_load_sediment__mass_flow_rate
  - bedrock_surface__elevation
  - bedrock_surface__elevation_increment
  - channel_outflow_end__bankfull_width
  - channel_outflow_end__width
  - channel_outflow_end_bed_load_sediment__mass_flow_rate
  - channel_outflow_end_suspended_load__mass_flow_rate
  - channel_outflow_end_suspended_load_sediment__volume_concentration
  - channel_outflow_end_suspended_sediment__discharge
  - channel_outflow_end_water__depth
  - channel_outflow_end_water__discharge
  - channel_outflow_end_water__speed
  - channel_water__discharge
  - model_grain_class__count
  - river_mouth__location_model_x_component
  - river_mouth__location_model_y_component
  - river_mouth_bed_load_sediment__mass_flow_rate
  - river_mouth_event__duration
  - sea_floor__elevation
  - sea_floor_sediment__bulk_density
  - sea_floor_sediment__mean_duration_since_deposition
  - sea_floor_sediment__permeability
  - sea_floor_sediment__porosity
  - sea_floor_sediment_clay__volume_fraction
  - sea_floor_sediment_grain__mean_diameter
  - sea_floor_sediment_model_grain_class_0__volume_fraction
  - sea_floor_sediment_mud__volume_fraction
  - sea_floor_sediment_sand__volume_fraction
  - sea_floor_sediment_silt__volume_fraction
  - sea_floor_surface__elevation
  - sea_floor_surface__x_gradient_component
  - sea_floor_surface__y_gradient_component
  - sea_water__depth
  - sea_water_surface_wave__from_direction
  - sea_water_surface_wave__height
  - sea_water_surface_wave__max_over_increment_of_from_direction
  - sea_water_surface_wave__mean_over_increment_of_from_direction
  - sea_water_surface_wave__min_over_increment_of_from_direction
  - sea_water_surface_wave__model_from_direction_asymmetry_constant
  - sea_water_surface_wave__model_from_direction_highness_constant
  - sea_water_surface_wave__period
  - sea_water_to_sediment__depth_ratio
  - sediment__bulk_density
  - sediment__erosion_rate
  - sediment__mean_duration_since_deposition
  - sediment__permeability
  - sediment__porosity
  - sediment__thickness_increment
  - sediment_grain__mean_diameter
  - surface__elevation
  - surface__elevation_increment
  - surface__x_gradient_component
  - surface__y_gradient_component
  - surface_bed_load_sediment__mass_flow_rate
  - surface_sediment__bulk_density
  - surface_sediment__mean_duration_since_deposition
  - surface_sediment__permeability
  - surface_sediment__porosity
  - surface_sediment_clay__volume_fraction
  - surface_sediment_grain__mean_diameter
  - surface_sediment_model_grain_class_0__volume_fraction
  - surface_sediment_mud__volume_fraction
  - surface_sediment_sand__volume_fraction
  - surface_sediment_silt__volume_fraction
---
objects:
  - air
  - atmosphere_water
  - bed_load_sediment
  - bedrock_surface
  - channel_outflow_end
  - channel_outflow_end_bed_load_sediment
  - channel_outflow_end_suspended_load
  - channel_outflow_end_suspended_load_sediment
  - channel_outflow_end_suspended_sediment
  - channel_outflow_end_water
  - channel_water
  - model_grain_class
  - river_mouth
  - river_mouth_bed_load_sediment
  - river_mouth_event
  - sea_floor
  - sea_floor_sediment
  - sea_floor_sediment_clay
  - sea_floor_sediment_grain
  - sea_floor_sediment_model_grain_class_0
  - sea_floor_sediment_mud
  - sea_floor_sediment_sand
  - sea_floor_sediment_silt
  - sea_floor_surface
  - sea_water
  - sea_water_surface_wave
  - sea_water_to_sediment
  - sediment
  - sediment_grain
  - surface
  - surface_bed_load_sediment
  - surface_sediment
  - surface_sediment_clay
  - surface_sediment_grain
  - surface_sediment_model_grain_class_0
  - surface_sediment_mud
  - surface_sediment_sand
  - surface_sediment_silt
---
quantities:
  - bankfull_width
  - bulk_density
  - count
  - depth
  - depth_ratio
  - discharge
  - duration
  - elevation
  - elevation_increment
  - erosion_rate
  - from_direction
  - height
  - liquid_equivalent_precipitation_rate
  - location_model_x_component
  - location_model_y_component
  - mass_flow_rate
  - mean_diameter
  - mean_duration_since_deposition
  - model_from_direction_asymmetry_constant
  - model_from_direction_highness_constant
  - period
  - permeability
  - porosity
  - speed
  - temperature
  - thickness_increment
  - volume_concentration
  - volume_fraction
  - width
  - x_gradient_component
  - y_gradient_component
---
operators:
  - max_over_increment
  - mean_over_domain
  - mean_over_increment
  - min_over_increment
